using APT.Infrastructure.Core;
using APT.MS.Domain.Enums.SK;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("企业库检查内容隐患表")]
    public class T_SK_ENTERPRISE_LIBRARY_DETAIL_CONTENT_HIDDEN : MesEntityBase
    {
        /// <summary>
        /// 企业库检查内容表
        /// </summary>
        [Description("企业库检查内容表")]
        [DataFieldForeignKey("Nav_DetailContent", "Nav_DetailHiddens")]
        public Guid ENTERPRISE_LIBRARY_DETAIL_CONTENT_ID { get; set; }

        /// <summary>
        /// 导航属性：企业库检查内容表
        /// </summary>
        [Description("导航属性：企业库检查内容表")]
        public T_SK_ENTERPRISE_LIBRARY_DETAIL_CONTENT Nav_DetailContent { get; set; }
        /// <summary>
        /// 隐患描述
        /// </summary>
        [Description("隐患描述")]
        [DataFieldForeignKey("Nav_Question")]
        public Guid? CHECK_QUESTION_ID { get; set; }

        /// <summary>
        /// 隐患描述
        /// </summary>
        [Description("隐患描述")]
        public virtual T_SK_CHECK_QUESTION Nav_Question { get; set; }
        /// <summary>
        /// 隐患描述
        /// </summary>
        [Description("隐患描述")]
        public string HIDDEN_DESCRIPTION { get; set; }
        /// <summary>
        /// 隐患等级
        /// </summary>
        [Description("隐患等级")]
        public SKHiddenLevel? HIDDEN_LEVEL { get; set; }
        /// <summary>
        /// 整改措施
        /// </summary>
        [Description("整改措施")]
        public string RECTIFICATION_MEASURES { get; set; }

        /// <summary>
        /// 顺序
        /// </summary>
        [Description("顺序")]
        public int? NUM { get; set; }

        /// <summary>
        /// 顺序
        /// </summary>
        [Description("顺序")]
        public int? ROW_NO { get; set; }
    }
}
